diff --git a/lib/hive/claude_completion_fallback.rb b/lib/hive/claude_completion_fallback.rb
new file mode 100644
index 00000000..555ccc04
--- /dev/null
+++ b/lib/hive/claude_completion_fallback.rb
@@ -0,0 +1,201 @@
+# frozen_string_literal: true
+
+require "json"
+
+module Hive
+  # Shared fail-closed evidence resolver for tmux Claude launches that
+  # finish a clean turn without the Stop-hook `.done` sentinel.
+  #
+  # The launcher may report a provisional completion *candidate*; only a
+  # stage-supplied evidence hash may promote it to accepted success.
+  # Marker-owned stages without an evidence builder stay strict.
+  module ClaudeCompletionFallback
+    STOP_HOOK_ERROR_MESSAGE = "claude stop hook did not signal completion".freeze
+
+    # Required observation fields from ClaudeLauncher completion candidates.
+    REQUIRED_OBSERVATION_KEYS = %i[
+      expected_done_path
+      missing_signal_reason
+      process_exited
+      exit_code
+    ].freeze
+
+    RESIDENT_OBSERVATION_KEYS = %i[session_alive pane_idle work_observed].freeze
+
+    # Per-field caps keep every required audit key in the bounded message.
+    # Whole-message truncation is only a final safety net in Events and must
+    # never be what makes this payload fit.
+    AUDIT_FIELD_LIMITS = {
+      level: 8,
+      phase: 24,
+      pass: 8,
+      outcome: 32,
+      task: 64,
+      pid: 20,
+      session: 64,
+      session_alive: 8,
+      expected_sentinel: 144,
+      missing_signal_reason: 48,
+      artifacts_checked: 144,
+      commit_evidence: 112,
+      failed_gates: 80
+    }.freeze
+
+    module_function
+
+    # Resolve a provisional candidate against immutable stage evidence.
+    #
+    # Returns:
+    #   { accepted: true, reason: "...", missing: [] }
+    #   { accepted: false, reason: "<first_failed_gate>", missing: [...] }
+    def resolve(candidate:, evidence:)
+      missing = []
+      candidate = symbolize_keys(candidate || {})
+      evidence = symbolize_keys(evidence || {})
+
+      missing << "candidate" if candidate.empty?
+      missing << "evidence" if evidence.empty?
+
+      REQUIRED_OBSERVATION_KEYS.each do |key|
+        missing << key.to_s unless candidate.key?(key)
+      end
+
+      missing << "limit_wall" if limit_wall?(candidate)
+      missing << "clean_exit_code" unless clean_exit_code?(candidate)
+
+      unless clean_one_shot_exit?(candidate)
+        RESIDENT_OBSERVATION_KEYS.each do |key|
+          missing << key.to_s unless candidate.key?(key)
+        end
+        missing << "session_alive" unless candidate[:session_alive] == true
+        missing << "tmux_readable" if candidate[:tmux_readable] == false ||
+                                      candidate[:session_error].to_s != ""
+        missing << "work_observed" unless candidate[:work_observed] == true
+        missing << "pane_idle" unless candidate[:pane_idle] == true
+        missing << "process_crashed" if candidate[:process_exited] == true
+      end
+
+      # Stage evidence is required for every gate; missing/false rejects.
+      Array(evidence[:required_facts]).each do |fact|
+        fact = fact.to_sym
+        missing << fact.to_s unless evidence[fact] == true
+      end
+
+      # Convenience: if the stage did not list required_facts, require the
+      # common review-fix conjunction when present as individual keys.
+      if evidence[:required_facts].nil?
+        %i[
+          artifacts_present
+          commit_or_no_change
+          no_unresolved_escalation
+          worktree_readable
+          worktree_clean
+          missing_output_absent
+          protected_files_intact
+        ].each do |fact|
+          next unless evidence.key?(fact)
+
+          missing << fact.to_s unless evidence[fact] == true
+        end
+      end
+
+      if missing.empty?
+        { accepted: true, reason: "clean_completion_with_stage_evidence", missing: [] }
+      else
+        { accepted: false, reason: missing.first, missing: missing.uniq }
+      end
+    end
+
+    # Backward-compatible alias used by early design notes / tests.
+    def suppress?(evidence:, phase_facts:)
+      decision = resolve(
+        candidate: evidence,
+        evidence: phase_facts.merge(
+          required_facts: phase_facts.keys
+        )
+      )
+      {
+        suppress: decision[:accepted],
+        reason: decision[:reason],
+        missing: decision[:missing]
+      }
+    end
+
+    def completion_candidate?(result)
+      result.is_a?(Hash) && result[:status] == :completion_candidate
+    end
+
+    def clean_exit_code?(candidate)
+      # On the resident tmux REPL there is no per-turn OS exit code, so
+      # nil means "no objection". A real nonzero exit always rejects.
+      code = candidate[:exit_code]
+      code.nil? || code == 0
+    end
+
+    def clean_one_shot_exit?(candidate)
+      candidate[:process_exited] == true && candidate[:exit_code] == 0
+    end
+
+    def limit_wall?(candidate)
+      reason = candidate[:reason].to_s
+      message = candidate[:error_message].to_s
+      reason.include?("limit") || message.include?("limits reached")
+    end
+
+    # Build the bounded, deterministic audit payload for Events.emit.
+    # Keep values compact: Events truncates at MAX_MESSAGE_BYTES.
+    def audit_message(fields)
+      fields = symbolize_keys(fields || {})
+      ordered = {
+        level: "warn",
+        phase: fields[:phase],
+        pass: fields[:pass],
+        outcome: fields[:outcome] || "fallback_accepted",
+        task: fields[:task_slug] || fields[:task],
+        pid: fields[:pid],
+        session: fields[:session],
+        session_alive: fields[:session_alive],
+        expected_sentinel: fields[:expected_sentinel] || fields[:done],
+        missing_signal_reason: fields[:missing_signal_reason] || fields[:reason],
+        artifacts_checked: fields[:artifacts_checked],
+        commit_evidence: fields[:commit_evidence],
+        failed_gates: Array(fields[:failed_gates] || fields[:missing]).join("|")
+      }
+      ordered.compact.map do |key, value|
+        "#{key}=#{bounded_audit_value(value, AUDIT_FIELD_LIMITS.fetch(key))}"
+      end.join(" ")
+    end
+
+    def bounded_audit_value(value, max_bytes)
+      text = value.to_s.gsub(/\s+/, " ").strip
+      return text if text.bytesize <= max_bytes
+
+      ellipsis = "…"
+      remaining = max_bytes - ellipsis.bytesize
+      head_bytes = remaining / 2
+      tail_bytes = remaining - head_bytes
+      head = text.byteslice(0, head_bytes).to_s.force_encoding(Encoding::UTF_8).scrub("")
+      tail = text.byteslice(text.bytesize - tail_bytes, tail_bytes).to_s
+                 .force_encoding(Encoding::UTF_8).scrub("")
+      "#{head}#{ellipsis}#{tail}"
+    end
+
+    def emit_accepted!(task_folder:, slug:, stage:, agent:, fields:)
+      Hive::Events.emit(
+        task_folder: task_folder,
+        slug: slug,
+        stage: stage,
+        agent: agent,
+        event_type: :claude_completion_fallback,
+        message: audit_message(fields),
+        append_after_status: true
+      )
+    end
+
+    def symbolize_keys(hash)
+      hash.each_with_object({}) do |(key, value), out|
+        out[key.to_sym] = value
+      end
+    end
+  end
+end
diff --git a/lib/hive/claude_launcher.rb b/lib/hive/claude_launcher.rb
index b6820a41..a105034e 100644
--- a/lib/hive/claude_launcher.rb
+++ b/lib/hive/claude_launcher.rb
@@ -2,9 +2,11 @@ require "fileutils"
 require "json"
 require "open3"
 require "time"
+require "yaml"
 
 require "hive/agent_profiles"
 require "hive/agent_limit"
+require "hive/claude_completion_fallback"
 require "hive/config"
 require "hive/lock"
 require "hive/markers"
@@ -275,7 +277,7 @@ module Hive
         Array(settings_paths).each do |path|
           safe_with_log(task, "cleanup_scratch") { cleanup_scratch(path) }
         end
-        safe_with_log(task, "cleanup_done") { cleanup_done(task) }
+        safe_with_log(task, "reset_signal_files") { reset_signal_files(task) }
       end
     end
 
@@ -767,6 +769,7 @@ module Hive
       deadline = Time.now + timeout
       tmux_error_streak = 0
       last_tmux_error_msg = nil
+      work_started = false
       loop do
         output_available = expected_output_available?(expected_output)
         pane_tail = capture_limit_tail(runner)
@@ -779,7 +782,7 @@ module Hive
         end
 
         unless expected_output_session_alive?(runner)
-          return { status: :ok, log_label: log_label } if output_available && File.exist?(done_path(task))
+          return stop_signal_result(task, log_label) if output_available && File.exist?(done_path(task))
 
           return {
             status: :error,
@@ -787,26 +790,46 @@ module Hive
           }
         end
 
-        if output_available
-          return { status: :ok, log_label: log_label } if File.exist?(done_path(task))
-
-          begin
-            pane = runner.capture_pane_tail(bytes: SENTINEL_CAPTURE_BYTES)
-            tmux_error_streak = 0
-            return { status: :ok, log_label: log_label } if claude_ready_prompt?(pane)
-          rescue Hive::TmuxError => e
-            tmux_error_streak += 1
-            last_tmux_error_msg = e.message
-            # After a handful of consecutive failures, the pane is
-            # demonstrably unreachable; bail with the real cause
-            # instead of polling silently to deadline and reporting
-            # a misleading "expected output file missing" timeout.
-            if tmux_error_streak >= 3
-              return {
-                status: :error,
-                error_message: "tmux_pane_unreadable: #{last_tmux_error_msg}"
-              }
-            end
+        return stop_signal_result(task, log_label) if output_available && File.exist?(done_path(task))
+
+        begin
+          # Observe the submitted turn on every poll, including polls
+          # before the artifact appears. Otherwise the normal sequence
+          # busy -> write output -> idle loses the busy observation and
+          # can never produce a completion candidate.
+          pane = if pane_tail.to_s.empty? && runner.respond_to?(:capture_pane_tail)
+                   runner.capture_pane_tail(bytes: SENTINEL_CAPTURE_BYTES)
+                 else
+                   pane_tail
+                 end
+          tmux_error_streak = 0
+          pane_idle = completion_pane_idle?(pane)
+          # Work-started latch: a ready prompt before any non-idle
+          # observation is the pre-submit caret, not turn completion.
+          work_started ||= pane_idle == false
+          if output_available && work_started && pane_idle == true
+            evidence = completion_evidence(
+              task, runner,
+              pane_tail: pane,
+              reason: "turn_ended_without_stop_hook",
+              missing_signal_reason: "missing",
+              pane_idle: true,
+              work_observed: true
+            )
+            return completion_candidate_result(log_label, evidence)
+          end
+        rescue Hive::TmuxError => e
+          tmux_error_streak += 1
+          last_tmux_error_msg = e.message
+          # After a handful of consecutive failures, the pane is
+          # demonstrably unreachable; bail with the real cause
+          # instead of polling silently to deadline and reporting
+          # a misleading "expected output file missing" timeout.
+          if tmux_error_streak >= 3
+            return {
+              status: :error,
+              error_message: "tmux_pane_unreadable: #{last_tmux_error_msg}"
+            }
           end
         end
 
@@ -843,6 +866,11 @@ module Hive
 
     def wait_for_done_signal(task, runner, timeout, log_label)
       deadline = Time.now + timeout
+      # Cold-start latch: the pre-submit idle caret must not be read as
+      # turn completion. Only a non-idle pane proves the submitted
+      # prompt is underway; a later verified idle prompt then yields a
+      # provisional completion candidate (not success).
+      work_started = false
       loop do
         # A usage/credit wall stalls claude WITHOUT ever touching `.done`,
         # so this exit_code_only path (the default `claude`/tmux execute
@@ -869,30 +897,173 @@ module Hive
           # `result.json`. Without this check, an exit_code_only
           # caller (e.g. the Phase 4 fix agent) would see `:ok` for
           # an errored claude run.
-          status = read_result_json_status(task)
-          if status == :ok
-            return { status: :ok, log_label: log_label }
-          elsif status
-            return { status: status, log_label: log_label,
-                     error_message: "claude reported #{status.inspect} via result.json" }
+          return stop_signal_result(task, log_label)
+        end
+
+        pane_idle = completion_pane_idle?(pane_tail)
+        # A live recorded pid is NOT proof of work: the recorded pid is
+        # the long-lived REPL pane process, alive before/during/after
+        # every turn. Only a non-idle pane proves the turn is underway.
+        work_started ||= pane_idle == false
+
+        if work_started && pane_idle == true
+          # Session must still be live and readable for a candidate.
+          # A dead/unreadable pane cannot prove clean turn completion.
+          session_alive, session_error = completion_session_alive(runner)
+          if session_alive == true && session_error.to_s.empty?
+            evidence = completion_evidence(
+              task, runner,
+              pane_tail: pane_tail,
+              reason: "turn_ended_without_stop_hook",
+              missing_signal_reason: "missing",
+              pane_idle: true,
+              work_observed: true,
+              session_alive: session_alive,
+              session_error: session_error
+            )
+            return completion_candidate_result(log_label, evidence)
           end
-          # No result.json on disk yet — the .done write may have
-          # raced the result write. Treat as completion since
-          # exit_code_only callers don't carry a richer contract.
-          return { status: :ok, log_label: log_label }
         end
 
         if Time.now >= deadline
-          return { status: :timeout, error_message: "claude stop hook did not signal completion" }
+          evidence = completion_evidence(
+            task, runner,
+            pane_tail: pane_tail,
+            reason: "deadline_without_stop_hook",
+            missing_signal_reason: "timeout",
+            work_observed: work_started
+          )
+          return {
+            status: :timeout,
+            error_message: Hive::ClaudeCompletionFallback::STOP_HOOK_ERROR_MESSAGE,
+            completion_evidence: evidence
+          }
         end
 
         sleep [ poll_interval, deadline - Time.now ].min
       end
     end
 
+    # Provisional missing-signal completion. Stages must run their own
+    # evidence predicate before treating this as success.
+    def completion_candidate_result(log_label, evidence)
+      {
+        status: :completion_candidate,
+        log_label: log_label,
+        error_message: Hive::ClaudeCompletionFallback::STOP_HOOK_ERROR_MESSAGE,
+        completion_evidence: evidence
+      }
+    end
+
+    # Assemble the observation bundle carried on candidates / timeouts.
+    # `pane_idle`, `work_observed`, `session_alive`, and `pid` may be
+    # precomputed by the wait loop to avoid duplicate probes.
+    def completion_evidence(task, runner, pane_tail:, reason:,
+                            missing_signal_reason: "missing",
+                            pane_idle: :unset, process_exited: :unset,
+                            pid: :unset, work_observed: :unset,
+                            session_alive: :unset, session_error: :unset)
+      if session_alive == :unset || session_error == :unset
+        session_alive, session_error = completion_session_alive(runner)
+      end
+      pid = recorded_claude_pid(task) if pid == :unset
+      process_exited = (pid ? !process_alive?(pid) : nil) if process_exited == :unset
+      pane_idle = completion_pane_idle?(pane_tail) if pane_idle == :unset
+      work_observed = (pane_idle == false) if work_observed == :unset
+      # capture_limit_tail rescues TmuxError to "" (never nil), so this is
+      # advisory; real gone-tmux protection is session_alive.
+      tmux_readable = !pane_tail.nil?
+      session =
+        begin
+          runner.name if runner.respond_to?(:name)
+        rescue StandardError
+          nil
+        end
+
+      {
+        reason: reason,
+        missing_signal_reason: missing_signal_reason,
+        process_exited: process_exited,
+        # Always nil on the resident tmux path (no per-turn OS exit).
+        exit_code: nil,
+        pane_idle: pane_idle,
+        work_observed: work_observed,
+        sentinel_present: File.exist?(done_path(task)),
+        expected_done_path: done_path(task),
+        expected_result_path: result_path(task),
+        session_alive: session_alive,
+        session_error: session_error,
+        tmux_readable: tmux_readable,
+        pid: pid,
+        session: session
+      }
+    end
+
+    def stop_signal_result(task, log_label)
+      status = read_result_json_status(task)
+      if status == :ok
+        { status: :ok, log_label: log_label }
+      elsif status
+        {
+          status: status,
+          log_label: log_label,
+          error_message: "claude reported #{status.inspect} via result.json"
+        }
+      else
+        # The hook publishes result.json before touching .done. A
+        # missing, empty, malformed, or status-less result therefore
+        # cannot be a benign write race; fail closed.
+        {
+          status: :error,
+          log_label: log_label,
+          error_message: "claude Stop sentinel had missing or invalid result.json"
+        }
+      end
+    end
+
+    def completion_pane_idle?(pane_tail)
+      return nil if pane_tail.nil? || pane_tail.empty?
+
+      claude_ready_prompt?(pane_tail)
+    rescue StandardError
+      nil
+    end
+
+    def completion_session_alive(runner)
+      return [ nil, nil ] unless runner.respond_to?(:session_exists?)
+
+      [ runner.session_exists?, nil ]
+    rescue Hive::TmuxError => e
+      [ false, e.message ]
+    end
+
+    # Advisory: the recorded pid is the long-lived REPL pane process.
+    # An "alive" answer only withholds process_exited; it never
+    # manufactures a completion candidate.
+    def recorded_claude_pid(task)
+      path = File.join(task.folder, ".lock")
+      return nil unless File.exist?(path)
+
+      data = YAML.safe_load(File.read(path)) || {}
+      pid = data["claude_pid"]
+      pid.is_a?(Integer) && pid.positive? ? pid : nil
+    rescue Psych::Exception, SystemCallError, IOError
+      nil
+    end
+
+    def process_alive?(pid)
+      Process.kill(0, pid)
+      true
+    rescue Errno::ESRCH
+      false
+    rescue Errno::EPERM
+      # Exists but owned by another user — conservative "alive".
+      true
+    end
+
     # Read `result.json` (if present) and translate `status` into the
-    # caller's symbol vocabulary. Unknown / unparseable shapes return
-    # nil so the caller can fall through to its default success path.
+    # caller's symbol vocabulary. Missing / unparseable / status-less
+    # shapes return nil and Stop-sentinel callers fail closed.
     def read_result_json_status(task)
       path = result_path(task)
       return nil unless File.exist?(path) && File.size(path).positive?
diff --git a/lib/hive/events.rb b/lib/hive/events.rb
index 31ecc07a..68b37828 100644
--- a/lib/hive/events.rb
+++ b/lib/hive/events.rb
@@ -14,6 +14,7 @@ module Hive
       round_waiting
       round_complete
       clean_exit_auto_committed
+      claude_completion_fallback
     ].freeze
 
     STATUS_TAIL_LINES = 20
@@ -45,7 +46,9 @@ module Hive
     # appenders via the inode lock; we cap message size (see
     # MAX_MESSAGE_BYTES) so the full line stays small and well-defined.
     # status.md is derived state and is rewritten with atomic rename.
-    def emit(task_folder:, slug:, stage:, event_type:, agent: nil, message: nil)
+    def emit(task_folder:, slug:, stage:, event_type:, agent: nil, message: nil,
+             append_after_status: false)
+      status_rendered_first = false
       event_type = event_type.to_sym
       unless EVENT_TYPES.include?(event_type)
         raise ArgumentError, "unknown event_type #{event_type.inspect}; valid: #{EVENT_TYPES.inspect}"
@@ -62,6 +65,13 @@ module Hive
 
       FileUtils.mkdir_p(task_folder)
       events_path = File.join(task_folder, "events.jsonl")
+      if append_after_status
+        # Fallback acceptance depends on both durable audit surfaces. Render
+        # status first with the candidate record in-memory, so a render
+        # failure cannot leave a success event appended to events.jsonl.
+        render_status!(task_folder, record, include_unpersisted: true)
+        status_rendered_first = true
+      end
       # syswrite issues a single write(2) so the JSON payload + trailing
       # newline arrive at the kernel in one call; splitting that into two
       # writes would void the single-syscall atomicity assumption above.
@@ -69,13 +79,29 @@ module Hive
       File.open(events_path, File::WRONLY | File::APPEND | File::CREAT, 0o644, encoding: "UTF-8") do |file|
         file.syswrite(line)
       end
-      render_status!(task_folder, record)
+      render_status!(task_folder, record) unless append_after_status
       record
     rescue SystemCallError => e
+      restore_status_from_events(task_folder) if status_rendered_first
       warn "[hive.events] failed to emit #{event_type} for #{task_folder}: #{e.class}: #{e.message}"
       nil
     end
 
+    def restore_status_from_events(task_folder)
+      events_path = File.join(task_folder, "events.jsonl")
+      persisted = read_recent_events(events_path, 1).last
+      if persisted
+        render_status!(task_folder, persisted)
+      else
+        File.delete(File.join(task_folder, "status.md"))
+      end
+    rescue Errno::ENOENT
+      nil
+    rescue SystemCallError => e
+      warn "[hive.events] failed to restore status for #{task_folder}: #{e.class}: #{e.message}"
+      nil
+    end
+
     def truncate_message(message)
       return message if message.bytesize <= MAX_MESSAGE_BYTES
 
@@ -87,10 +113,14 @@ module Hive
       "#{trimmed}#{MESSAGE_TRUNCATION_SUFFIX}"
     end
 
-    def render_status!(task_folder, last_record)
+    def render_status!(task_folder, last_record, include_unpersisted: false)
       events_path = File.join(task_folder, "events.jsonl")
       events = read_recent_events(events_path, STATUS_TAIL_LINES)
       walk_events = read_recent_events(events_path, CURRENT_AGENT_WALK_LINES)
+      if include_unpersisted
+        events = (events + [ last_record ]).last(STATUS_TAIL_LINES)
+        walk_events = (walk_events + [ last_record ]).last(CURRENT_AGENT_WALK_LINES)
+      end
       body = render_status_body(last_record, events, walk_events)
       write_atomic(File.join(task_folder, "status.md"), body)
     end
diff --git a/lib/hive/findings.rb b/lib/hive/findings.rb
index f3b495bc..f4879731 100644
--- a/lib/hive/findings.rb
+++ b/lib/hive/findings.rb
@@ -160,6 +160,30 @@ module Hive
 
     module_function
 
+    # Fail-closed validator for reviewer-authored findings artifacts. The
+    # tolerant Document parser intentionally accepts prose around findings,
+    # but a completion fallback needs positive proof that the artifact is a
+    # review document rather than merely a non-empty partial file.
+    def valid_review_file?(path)
+      return false unless File.exist?(path) && File.size(path).positive?
+
+      document = Document.new(path)
+      headings = document.lines.filter_map do |line|
+        match = SEVERITY_HEADING_RE.match(line)
+        next unless match
+
+        severity = match[1].split(/\s+/).first&.downcase
+        severity if KNOWN_SEVERITIES.include?(severity)
+      end
+      return false if headings.empty?
+
+      # A checkbox below an unknown/non-severity section parses with a nil
+      # severity. It is not valid structured reviewer output.
+      document.findings.all? { |finding| !finding.severity.nil? }
+    rescue Hive::NoReviewFile, SystemCallError, IOError
+      false
+    end
+
     # Resolve which review file to load for a task. Defaults to the latest
     # pass present on disk; --pass N picks a specific one. Returns the
     # absolute path or raises NoReviewFile.
diff --git a/lib/hive/reviewers/agent.rb b/lib/hive/reviewers/agent.rb
index 7a97af54..1e508797 100644
--- a/lib/hive/reviewers/agent.rb
+++ b/lib/hive/reviewers/agent.rb
@@ -1,6 +1,8 @@
 require "hive/reviewers/base"
 require "hive/reviewers/plan_context"
 require "hive/agent_profiles"
+require "hive/claude_completion_fallback"
+require "hive/findings"
 require "hive/stages/base"
 
 module Hive
@@ -116,6 +118,7 @@ module Hive
           end
 
           result = yield(profile, prompt, configured_timeout, spawn_timeout, attempts)
+          result = promote_completion_candidate!(result)
           break if result[:status] == :ok
           break if attempts >= max_attempts
 
@@ -141,6 +144,52 @@ module Hive
         build_result(result, attempts, max_attempts)
       end
 
+      # Missing-signal completion is provisional until the expected
+      # reviewer file parses as structured findings. Presence alone is
+      # insufficient because a partial prose/error file can be nonempty.
+      def promote_completion_candidate!(result)
+        return result unless Hive::ClaudeCompletionFallback.completion_candidate?(result)
+
+        unless Hive::Findings.valid_review_file?(output_path)
+          return {
+            status: :timeout,
+            error_message: result[:error_message] ||
+              Hive::ClaudeCompletionFallback::STOP_HOOK_ERROR_MESSAGE,
+            completion_evidence: result[:completion_evidence]
+          }
+        end
+
+        decision = Hive::Stages::Base.accept_claude_completion_fallback(
+          task: synthetic_task,
+          stage: "6-review",
+          agent: "reviewer=#{name} pass=#{format('%02d', ctx.pass)}",
+          candidate: result,
+          evidence: {
+            required_facts: %i[artifacts_present missing_output_absent],
+            artifacts_present: true,
+            missing_output_absent: true
+          },
+          audit_fields: {
+            phase: "reviewers",
+            pass: format("%02d", ctx.pass),
+            outcome: "fallback_accepted",
+            task_slug: File.basename(ctx.task_folder.to_s),
+            artifacts_checked: File.basename(output_path),
+            commit_evidence: "n/a"
+          }
+        )
+        unless decision[:accepted]
+          return {
+            status: :timeout,
+            error_message: result[:error_message] ||
+              Hive::ClaudeCompletionFallback::STOP_HOOK_ERROR_MESSAGE,
+            completion_evidence: result[:completion_evidence]
+          }
+        end
+
+        result.merge(status: :ok)
+      end
+
       def max_attempts_from_spec
         value = spec["max_attempts"]
         return Hive::Reviewers::DEFAULT_REVIEWER_MAX_ATTEMPTS if value.nil?
diff --git a/lib/hive/stages/base.rb b/lib/hive/stages/base.rb
index 979b4800..334dfb55 100644
--- a/lib/hive/stages/base.rb
+++ b/lib/hive/stages/base.rb
@@ -4,6 +4,7 @@ require "securerandom"
 require "time"
 require "hive/agent"
 require "hive/agent_profiles"
+require "hive/claude_completion_fallback"
 require "hive/config"
 require "hive/events"
 require "hive/markers"
@@ -592,6 +593,45 @@ module Hive
         )
       end
 
+      # Promote a provisional tmux completion candidate only when the
+      # stage-supplied evidence passes the shared fail-closed resolver
+      # and the WARN audit event is recorded. Rejection leaves the
+      # original stop-hook error text on the spawn result for diagnostics.
+      #
+      # Returns { accepted: true/false, reason:, missing: [], decision: }.
+      def accept_claude_completion_fallback(task:, stage:, agent:, candidate:,
+                                            evidence:, audit_fields:)
+        observation = candidate.is_a?(Hash) ? (candidate[:completion_evidence] || candidate) : {}
+        decision = Hive::ClaudeCompletionFallback.resolve(
+          candidate: observation,
+          evidence: evidence
+        )
+        return decision.merge(accepted: false) unless decision[:accepted]
+
+        record = Hive::ClaudeCompletionFallback.emit_accepted!(
+          task_folder: task.folder,
+          slug: task.respond_to?(:slug) ? task.slug : File.basename(task.folder.to_s),
+          stage: stage,
+          agent: agent,
+          fields: audit_fields.merge(
+            pid: observation[:pid],
+            session: observation[:session],
+            session_alive: observation[:session_alive],
+            expected_sentinel: observation[:expected_done_path],
+            missing_signal_reason: observation[:missing_signal_reason] || observation[:reason]
+          )
+        )
+        unless record
+          return {
+            accepted: false,
+            reason: "audit_emit_failed",
+            missing: [ "audit_emit" ]
+          }
+        end
+
+        decision.merge(accepted: true)
+      end
+
       # Wrap a spawn_claude! call so that AgentErrors land on the
       # calling stage's own task.state_file with an attributed marker
       # rather than propagating uncaught through Plan.run! / OpenPr.run!
